#!/bin/bash

IMAGES_DIR="./images"

WIDTH=

for f in ./images/*
do
  echo "Processing $f"
  case "$f" in
    *.jpeg|*.jpg)
      convert $f [320] ./images/thumbnails/`basename $f`;
      ;;
    *.png)
      echo "PNG $f"
      ;;
    *.webp)
      echo "WEBP $f"
      ;;
    *.gif)
      echo "GIF $f"
      ;;
    *)
      echo "OTHER ${f}"
      ;;
  esac
done
